# This example shows how to deploy a DS1.5B model server.
# The DS1.5B server will provide inference services for the DS1.5B model.
#
# NOTE: Update the image to the correct DS1.5B model image once it's available.

apiVersion: apps/v1
kind: Deployment
metadata:
  name: deepseek-r1-1-5b
spec:
  replicas: 3
  selector:
    matchLabels:
      app: deepseek-r1-1-5b
  template:
    metadata:
      labels:
        app: deepseek-r1-1-5b
    spec:
      containers:
        - name: llm-engine
          image: ghcr.io/faust-benchou/dynamo-mocker-vllm:latest
          imagePullPolicy: IfNotPresent
          env:
            # specify the model name to mock
            - name: MODEL_NAME
              value: "deepseek-ai/DeepSeek-R1-Distill-Qwen-1.5B"
          command:
            - python3
            - app.py

